# DynDNS

Dynamic DNS records can be used for assigning hostnames to local devices.

It combines **DHCPv4 server leases** with **IP neigh** and add ALL device addresses to DNS hostnames.

Can be used for assinging **RA addresses to device hostnames**, which are defaultly **NOT** assigned in OpenWrt.

## Instalation

Add this script to **dnsmasq's dhcp-script** option:
```
dhcp-script = lua /path/to/dyndns.lua
```

Or via dhcpscript in OpenWrt uci:
```
config dnsmasq
	option dhcpscript 'lua /path/to/dyndns.lua'
```

Also add `list addnhosts '/tmp/dyndns'` to use DynDNS's hosts file.

## Features

- Assign all device IPs to its hostname
- Support network domains
- Automatically add records to dnsmasq
- Automatic trigg on DHCP lease

## Todo

- Assign only addresses from specific subnets (not all)
